<?php require_once('../../Connections/cn.php'); ?>
<?php
$carrera=$_GET['carrera'];
$cedula_usuario=$_GET['cedula'];

mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del alumno
$sql = "SELECT id_alumno,cedula,apellidos, nombres,tipodoc FROM alumnos where id_alumno='$cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$cedula= $row['cedula'];
$apellidos= $row['apellidos'];
$nombres= $row['nombres'];
$tipodoc=$row['tipodoc'];
if(substr($tipodoc,0,1)=="C") {
	    $documento='C�DULA: ';
		}
				else {	
		 $documento='PASAPORTE: ';}

//fin

//Datos de la Carrera
$query_rstCarreras = "SELECT carreras.nombre_carrera FROM carreras Where carreras.id_carrera='$carrera'";
$rstCarreras = mysql_query($query_rstCarreras, $cn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
$nom_carrera=$row_rstCarreras['nombre_carrera'];

// Datos de las Materias
$query_rstMaterias = "SELECT * FROM materias Where id_carrera='$carrera'";
$rstMaterias = mysql_query($query_rstMaterias, $cn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);

// Selecciono la Base de Datos. 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
//$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se obtienen las materias que el alumno ha cursado.
mysql_select_db($database_cn, $cn);
$query = "Select
materias.semestre,
materias.id_materia,
materias.nombre_materia,
materias.uc,
historico_notas.nota,
historico_notas.periodo,
historico_notas.seccion
From
historico_notas
Inner Join materias ON historico_notas.id_materia = materias.id_materia
Where
historico_notas.id_alumno = '$id_alumno' AND
historico_notas.id_carrera = '$carrera'
Order By
materias.semestre Asc,
materias.orden Asc";
// Ejecuta el Query.
$result = mysql_query ($query ) or die (mysql_error()); 
// Numero de Materias cursadas por el alumno.
$totalRows = mysql_num_rows($result);
// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,8,$pdf->y-55,100,0);
$imagen=ImageCreatefromjpeg('../../fotografias/'.$cedula.'.jpg');
$pdf->addImage($imagen,260,$pdf->y-170,80,0);
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-6);
$pdf->ezText('<b>'."                  UNIVERSIDAD LATINOAMERICANA ".'</b>',14,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."                             Y DEL CARIBE".'</b>',14,array('justification'=>'left'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-35);
$pdf->ezText('<b>'.$apellidos.'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.$nombres.'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.$cedula.'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'."Vence:".'</b>',10,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'."Serial:".'</b>',10,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.$nom_carrera.'</b>',10,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.'ESTUDIANTE'.'</b>',10,array('justification'=>'left'));
// Fin del Encabezado.
// Inicio del Pie de P�gina.
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4,4,3.5,3);
$pdf->addObject($all,'all'); 
/*
// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('sem'=>'Sem.', 
			  'codigo'=>'    C�digo', 
              'nombre'=>'                                Nombre de la Materia', 
              'uc'=>'U.C.',
			  'nota'=>'Nota ',
			  'lapso'=>'Lapso',
			  'seccion'=>'Secci�n '); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $sem     = $row[0];    // cedula 
    $codigo  = $row[1];
    $nombre  = $row[2];    // nota 
	$uc      = $row[3];    // nota 
	$nota    = $row[4];    // nota 
   	$lapso   = $row[5];    // nota  
	$seccion = $row[6];    // nota 
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>$sem,
	                'codigo'=>$codigo, 
                    'nombre'=>$nombre, 
                    'uc'=>$uc, 
					'nota'=>$nota, 
					'lapso'=>$lapso, 
                    'seccion'=>$seccion); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('sem'=>array('justification'=>'center') 
			 ,'codigo'=>array('justification'=>'left') 
             ,'uc'=>array('justification'=>'center') 
             ,'nota'=>array('justification'=>'right')
			 ,'lapso'=>array('justification'=>'center') 
             ,'seccion'=>array('justification'=>'center')) 
));// salida 
*/
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}
?> 